unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.ListView.Types, System.Rtti, System.Bindings.Outputs, Fmx.Bind.Editors,
  Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components, Data.Bind.DBScope,
  Data.DB, Datasnap.DBClient, FMX.Controls.Presentation, FMX.StdCtrls,
  FMX.ListView, Data.Bind.GenData, Data.Bind.ObjectScope;

type
  TForm1 = class(TForm)
    ListView1: TListView;
    Button1: TButton;
    ClientDataSet1: TClientDataSet;
    ClientDataSet1FileName: TStringField;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    LinkFillControlToField1: TLinkFillControlToField;
    ClientDataSet1FileTime: TStringField;
    PrototypeBindSource1: TPrototypeBindSource;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ClientDataSet1.Close;
  ClientDataSet1.CreateDataSet;
  ClientDataSet1.Open;
  ClientDataSet1.First;
  ClientDataSet1.Append; // You could use cdsEmployee.Insert; here as well
  ClientDataSet1.FieldByName('FileName').AsString := 'xxFileName';
  ClientDataSet1.FieldByName('FileTime').AsString := 'yyFileTime';
  ClientDataSet1.Post;
  LinkFillControlToField1.FillDataSource := BindSourceDB1;
end;

end.
